Subject: Re: [PATCH] make 'set +o' useful and POSIX compatible
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Sat, 27 Feb 2016 21:27:39 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Feb 27,  4:11am, Martijn Dekker wrote:
}
} On zsh (as well as all pdksh variants), 'set +o' is currently inadequate
} for that purpose because it only outputs the currently active shell
} options, and not the inactive ones.

This is almost certainly not coincidental.  In the early years of zsh
development, ksh was only available on closed-source UNIX platforms,
so any ksh-isms that were incorporated were either derived from reading
man pages (which led by misunderstanding to the "coproc" command and
an unusual syntax for writing base-N values in arithmetic context) or
borrowed from pdksh.

I don't see any reason not to accept this patch.